#include <iostream>

using namespace std;

int main()
{
    int i,n,k,c;
    cin>>n;
    cin>>k;
    int a[n];
    for(i=0;i<n;i++)
        cin>>a[i];
    if (n==2)
    {
        if(a[0]==2)
        cout<<a[1];
        if(a[1]==2)
            cout<<a[0];
    }
    else if(k==a[n-1])
  {
    cout<<a[0];
  }
  else if(k==a[0])
  {
      cout<<a[n-1];
  }
  else
  {
      i=0;
      while(a[i]!=k)
      {
          c=a[i];
          i++;
      }
      cout<<c;
  }
    return 0;
}